Package uk.ac.starlink.topcat.plot

## Class PointSelection.TableMask

- java.lang.Object
- - uk.ac.starlink.topcat.plot.PointSelection.TableMask

- Enclosing class:
    PointSelection

      public static class PointSelection.TableMask
      extends java.lang.Object

  Struct-type class which defines an association of a TopcatModel and a BitSet.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.BitSet` | `getMask()` | Returns the bit mask.
    `TopcatModel` | `getTable()` | Returns the table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTable

          public TopcatModel getTable()

      Returns the table.
      Returns:
        topcat model

    - #### getMask

          public java.util.BitSet getMask()

      Returns the bit mask.
      Returns:
        bit set